@import '../mixins';
@import '../variables';

.dish {
  @include xs {
    margin-top: 22px;
  }

  @include s {
    margin-top: 45px;
  }

  @include m {
    margin-top: 50px;
  }

  @include l {
    margin-top: 41px;
  }

  & .head {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    & .head__content {
      display: flex;
      flex-direction: column;
      justify-content: center;

      @include xs {
        padding-left: 9px;
      }

      @include s {
        padding-left: 21px;
      }

      @include m {
        padding-left: 30px;
      }

      @include l {
        padding-left: 22px;
      }


      & .head__title {
        font-family: $header-font;
        text-transform: uppercase;

        @include xs {
          font-size: 20px;
        }

        @include s {
          font-size: 28px;
        }

        @include m {
          font-size: 26px;
        }

        @include l {
          font-size: 28px;
        }
      }

      & .head__subtitle {
        font-family: $header-font;
        color: #cbccce;
        font-size: 14px;
        margin-top: 9px;

        @include xs {
          margin-top: 4px;
          font-size: 10px;
        }
      }
    }

    &__log {
      @include xs {
        display: none;
      }

      @include s {
        display: none;
      }

      @include m {
        margin-right: 29px;
        width: 109px;
        height: 89px;
      }

      @include l {
        margin-right: 14px;
        width: 120px;
        height: 98px;
      }
    }
  }

  &__content {
    margin-top: 20px;
    display: flex;
    flex-direction: column;

    @include xs {
      margin-top: 10px;
    }

    @include m {
      flex-direction: row;
    }

    @include l {
      margin-top: 16px;
      flex-direction: row;
    }


    & .column {

      &:nth-child(odd) .column__title {
        background-color: #3f4043;
        color: $green;
      }

      &:nth-child(even) .column__title {
        background-color: $green;
        color: $white;
      }

      & .column__title {
        font-family: $header-font;
        font-size: 30px;
        text-transform: uppercase;
        width: 100%;

        &::before {
          content: "";
          padding-left: 18px;

          @include s {
            padding-left: 38px;
          }
        }

        @include xs {
          padding-top: 10px;
          padding-bottom: 8px;
          font-size: 20px;
        }

        @include s {
          padding-top: 23px;
          padding-bottom: 23px;
        }

        @include m {
          padding-top: 27px;
          padding-bottom: 23px;
          font-size: 26px;
        }

        @include l {
          padding-top: 23px;
          padding-bottom: 23px;
        }
      }

      &__content {
        @include xs {
          padding-bottom: 13px;
        }

        & .list {
          margin: 11px 18px 16px 18px;

          &__head {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;


            & .head__title {
              font-family: $header-font;
              font-size: 23px;
              text-transform: uppercase;

              @include xs {
                font-size: 15px;
              }

              @include m {
                font-size: 19px;
              }
            }

            & .head__logo {
              width: 48px;
              height: 48px;
              object-fit: contain;

              @include xs {
                width: 25px;
                height: 25px;
              }

              @include m {
                width: 42px;
                height: 42px;
              }
            }
          }

          &__body {
            font-family: $main-font;

            @include xs {
              margin-top: 15px;
            }

            & .list__item {
              margin-top: 22px;


              @include xs {
                margin-top: 11px;
              }

              @include m {
                margin-top: 28px;
              }
            }

            & .item__head {

              & .head__position {
                font-family: $main-font;
                @include xs {
                  font-size: 13px;
                  letter-spacing: -0.8px;
                }

                @include s {
                  font-size: 20px;
                }

                @include m {
                  font-size: 18px;
                }

                @include l {
                  font-size: 19px;

                }
              }

              & .head__price {
                font-family: $main-font;
                @include xs {
                  font-size: 13px;
                }

                @include s {
                  font-size: 20px;
                }

                @include m {
                  font-size: 18px;
                }

                @include l {
                  font-size: 19px;

                }
              }
            }

            & .item__description {
              margin-top: 16px;

              @include xs {
                margin-top: 7px;
                font-size: 8px;
                letter-spacing: -0.24px;
                line-height: 10px;
              }

              @include s {
                font-size: 14px;
              }

              @include m {
                font-size: 12px;
              }

              @include l {
                font-size: 13px;

              }
            }
          }
        }
      }
    }
  }
}